/*
		Error function
		
    Copyright (C) 2015  Ralph Schenn

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <tiams.h>

#ifndef _ERF_H_
#define _ERF_H_

/* error function */
double Erf(double x);

/* complementary error function */
double ErfC(double x);

/* inverse error function */
double ErfI(double x);

/* push error function */
void push_erf (EStackIndex i);

/* push inverse error function */
void push_erfi (EStackIndex i);

#endif
